ranges::v3::replace_fn Struct Reference
Algorithms

## Public Member Functions

template<typename I , typename S , typename T0 , typename T1 , typename P = ident, requires = (Replaceable<I, T0, T1, P>() && Sentinel<S, I>())>
I | operator() (I begin, S end, T0 const &old_value, T1 const &new_value, P proj={}) const
template<typename Rng , typename T0 , typename T1 , typename P = ident, typename I = iterator_t<Rng>, requires = (Replaceable<I, T0, T1, P>() && Range<Rng>())>
safe_iterator_t< Rng > | operator() (Rng &&rng, T0 const &old_value, T1 const &new_value, P proj={}) const